--- old/usr/src/boot/sys/boot/forth/Makefile.inc	Fri Jan 27 17:08:21 2017
+++ new/usr/src/boot/sys/boot/forth/Makefile.inc	Fri Jan 27 17:08:21 2017
@@ -4,6 +4,7 @@
 FORTH +=	beadm.4th
 FORTH +=	brand.4th
 FORTH +=	brand-illumos.4th
+FORTH +=	brand-omnios.4th
 FORTH +=	check-password.4th
 FORTH +=	color.4th
 FORTH +=	delay.4th
@@ -14,6 +15,7 @@
 FORTH +=	logo-beastiebw.4th
 FORTH +=	logo-fbsdbw.4th
 FORTH +=	logo-illumos.4th
+FORTH +=	logo-omnios.4th
 FORTH +=	logo-orb.4th
 FORTH +=	logo-orbbw.4th
 FORTH +=	menu.4th
--- /dev/null	Fri Jan 27 17:08:21 2017
+++ new/usr/src/boot/sys/boot/forth/brand-omnios.4th	Fri Jan 27 17:08:21 2017
@@ -0,0 +1,47 @@
+\ Copyright (c) 2006-2015 Devin Teske <dteske@FreeBSD.org>
+\ All rights reserved.
+\ 
+\ Redistribution and use in source and binary forms, with or without
+\ modification, are permitted provided that the following conditions
+\ are met:
+\ 1. Redistributions of source code must retain the above copyright
+\    notice, this list of conditions and the following disclaimer.
+\ 2. Redistributions in binary form must reproduce the above copyright
+\    notice, this list of conditions and the following disclaimer in the
+\    documentation and/or other materials provided with the distribution.
+\ 
+\ THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+\ ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+\ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+\ ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+\ FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+\ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+\ OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+\ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+\ LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+\ OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+\ SUCH DAMAGE.
+\ 
+\ $FreeBSD$
+
+2 brandX ! 1 brandY ! \ Initialize brand placement defaults
+
+: brand+ ( x y c-addr/u -- x y' )
+	2swap 2dup at-xy 2swap \ position the cursor
+	type \ print to the screen
+	1+ \ increase y for next time we're called
+;
+
+: brand ( x y -- ) \ "omnios" [wide] logo in B/W (8 rows x 35 columns)
+
+	s"    ____   __  __  _   _ ___       " brand+
+	s"   / __ \ |  \/  || \ | || |       " brand+
+	s"  | |  | || \  / ||  \| || |       " brand+
+	s"  | |__| || |\/| || . `____   ____ " brand+
+	s"   \____/ |_|  |_||_| / __ \ / __| " brand+
+	s"                     | |  | |(___  " brand+
+	s"                     | |__| |___)| " brand+
+	s"                      \____/|____/ " brand+
+
+	2drop
+;
--- old/usr/src/boot/sys/boot/forth/loader.conf	Fri Jan 27 17:08:21 2017
+++ new/usr/src/boot/sys/boot/forth/loader.conf	Fri Jan 27 17:08:21 2017
@@ -56,8 +56,9 @@
 				# escape to the loader prompt, set to
 				# "NO" to disable autobooting
 beastie_disable="NO"		# Turn the beastie boot menu on and off
-loader_logo="illumos"		# Desired logo: orbbw, orb, fbsdbw, beastiebw, beastie, none
-#loader_brand="illumos"		# brand name
+loader_logo="omnios"		# Desired logo: orbbw, orb, fbsdbw, beastiebw, beastie, none
+loader_brand="omnios"		# brand name
+loader_menu_title="Welcome to OmniOS"
 #console="text"			# A comma separated list of console(s)
 #currdev="disk1s1a"		# Set the current device
 module_path="/platform/i86pc/${ISADIR}/"	# Set the module search path
--- /dev/null	Fri Jan 27 17:08:21 2017
+++ new/usr/src/boot/sys/boot/forth/logo-omnios.4th	Fri Jan 27 17:08:21 2017
@@ -0,0 +1,65 @@
+\ Copyright (c) 2003 Scott Long <scottl@FreeBSD.org>
+\ Copyright (c) 2003 Aleksander Fafula <alex@fafula.com>
+\ Copyright (c) 2006-2015 Devin Teske <dteske@FreeBSD.org>
+\ All rights reserved.
+\ 
+\ Redistribution and use in source and binary forms, with or without
+\ modification, are permitted provided that the following conditions
+\ are met:
+\ 1. Redistributions of source code must retain the above copyright
+\    notice, this list of conditions and the following disclaimer.
+\ 2. Redistributions in binary form must reproduce the above copyright
+\    notice, this list of conditions and the following disclaimer in the
+\    documentation and/or other materials provided with the distribution.
+\ 
+\ THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+\ ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+\ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+\ ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+\ FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+\ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+\ OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+\ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+\ LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+\ OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+\ SUCH DAMAGE.
+\ 
+\ $FreeBSD$
+
+51 logoX ! 2 logoY ! \ Initialize logo placement defaults
+
+: logo+ ( x y c-addr/u -- x y' )
+	2swap 2dup at-xy 2swap \ position the cursor
+	[char] @ escc! \ replace @ with Esc
+	type \ print to the screen
+	1+ \ increase y for next time we're called
+;
+
+: logo ( x y -- ) \ OmniOS dragon logo
+
+	s"      `                     " logo+
+	s"     ..  ``                 " logo+
+	s"    `-  `-`   `             " logo+
+	s"    --` .-`  `.             " logo+
+	s"    .-. `--  .-             " logo+
+	s"     .-.``.-` -.            " logo+
+	s"       `.```..`..           " logo+
+	s"             `...`          " logo+
+	s"  `.`                       " logo+
+	s"  -------.`   ..`           " logo+
+	s" `------`      `..``        " logo+
+	s" `-----`        `..--`      " logo+
+	s"  .----`            .-      " logo+
+	s"  +.----`            .      " logo+
+	s"    :..--.```               " logo+
+	s"       `.----`              " logo+
+	s"         ``.---.`           " logo+
+	s"         `.``.---.`         " logo+
+	s"         `....``.--.`       " logo+
+	s"            `...``---.`     " logo+
+	s"            ......`.---`    " logo+
+	s"            .......``.--.   " logo+
+	s"            `........`.---` " logo+
+
+	2drop
+;
--- old/usr/src/boot/sys/boot/forth/menu-commands.4th	Fri Jan 27 17:08:21 2017
+++ new/usr/src/boot/sys/boot/forth/menu-commands.4th	Fri Jan 27 17:08:21 2017
@@ -327,7 +327,7 @@
 
 	cr
 	." To get back to the menu, type `menu' and press ENTER" cr
-	." or type `boot' and press ENTER to start illumos." cr
+	." or type `boot' and press ENTER to start OmniOS." cr
 	cr
 
 	FALSE \ exit the menu
